#include <iostream>
using namespace std;

int main()
{
    int n;
    cin>>n;
    int knjige[n];
    for (int i=0; i<n; i++)
    {
        cin>>knjige[i];
    }
    for (int i=0; i<n-1; i++)
    {
        int tr = knjige[i];
        if (tr == 9)
        {
            continue;
        }
        else
        {
            for (int j=i+1; j<n; j++)
            {
                int sl = knjige[j];
                if (sl>tr)
                {
                    knjige[i] = sl;
                    knjige[j] = tr;
                    break;
                }
            }
        }
    }
    for(int i=0; i<n; i++)
    {
        cout<<knjige[i]<<" ";
    }
    return 0;
}